complexType "CommodityPhysicalEuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (expirationDate? | expirationDates? | relativeExpirationDates?), expirationTime?
</...>

Content Model Elements (4):

  expirationDate (in europeanExercise in physicalExercise),
  expirationDates (in europeanExercise in physicalExercise),
  expirationTime (in europeanExercise in physicalExercise),
  relativeExpirationDates (in europeanExercise in physicalExercise)

All Direct / Indirect Based Elements (1):

  europeanExercise (in physicalExercise)

Known Usage Locations

- As direct type of elements (1):
  europeanExercise (in physicalExercise)

Annotation
The parameters for defining the expiration date(s) and time(s) for a European style option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityPhysicalEuropeanExercise

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityPhysicalEuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="expirationDates" type="AdjustableRelativeOrPeriodicDates2"/> <xsd:element minOccurs="0" name="relativeExpirationDates" type="CommodityRelativeExpirationDates"/> </xsd:choice> <xsd:element minOccurs="0" name="expirationTime" type="PrevailingTime"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/>

expirationDates

  Type: | AdjustableRelativeOrPeriodicDates2, complex content

  The Expiration Date(s) of a European-style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDates" type="AdjustableRelativeOrPeriodicDates2"/>

expirationTime

  Type: | PrevailingTime, complex content

  The specific time of day at which the option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="PrevailingTime"/>

relativeExpirationDates

  Type: | CommodityRelativeExpirationDates, complex content

  The Expiration Date(s) of a European-style option where it is relative to the occurrence of an external event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeExpirationDates" type="CommodityRelativeExpirationDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.